Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network7.136.64.0/21
Usable hosts2,046
Subnet mask255.255.248.0
Addresses2,048
Network address
7.136.64.0
Broadcast address
7.136.71.255
First usable
7.136.64.1
Last usable
7.136.71.254
Usable hosts
2,046 (2,048 less the network and broadcast addresses)
Subnet mask
255.255.248.0
Wildcard mask
0.0.7.255 (Cisco ACLs, OSPF)
Prefix length
/21
Type
Public public
Old class
A (default /8)
As numbers
Hex 07884000 · Integer 126369792 to 126371839
Reverse DNS zones
64.136.7.in-addr.arpa
65.136.7.in-addr.arpa
66.136.7.in-addr.arpa
67.136.7.in-addr.arpa
68.136.7.in-addr.arpa
69.136.7.in-addr.arpa
70.136.7.in-addr.arpa
71.136.7.in-addr.arpa
/21 is not on a 8-bit boundary, so it takes 8 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address00000111.10001000.01000000.000000007.136.64.0
Subnet mask11111111.11111111.11111000.00000000255.255.248.0
Network00000111.10001000.01000000.000000007.136.64.0
Broadcast00000111.10001000.01000111.111111117.136.71.255
Split into smaller subnets/28

7.136.64.0/21 makes 128 subnets of /28.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
17.136.64.0/287.136.64.1 to 7.136.64.147.136.64.1514
27.136.64.16/287.136.64.17 to 7.136.64.307.136.64.3114
37.136.64.32/287.136.64.33 to 7.136.64.467.136.64.4714
47.136.64.48/287.136.64.49 to 7.136.64.627.136.64.6314
57.136.64.64/287.136.64.65 to 7.136.64.787.136.64.7914
67.136.64.80/287.136.64.81 to 7.136.64.947.136.64.9514
77.136.64.96/287.136.64.97 to 7.136.64.1107.136.64.11114
87.136.64.112/287.136.64.113 to 7.136.64.1267.136.64.12714
97.136.64.128/287.136.64.129 to 7.136.64.1427.136.64.14314
107.136.64.144/287.136.64.145 to 7.136.64.1587.136.64.15914
117.136.64.160/287.136.64.161 to 7.136.64.1747.136.64.17514
127.136.64.176/287.136.64.177 to 7.136.64.1907.136.64.19114
137.136.64.192/287.136.64.193 to 7.136.64.2067.136.64.20714
147.136.64.208/287.136.64.209 to 7.136.64.2227.136.64.22314
157.136.64.224/287.136.64.225 to 7.136.64.2387.136.64.23914
167.136.64.240/287.136.64.241 to 7.136.64.2547.136.64.25514
177.136.65.0/287.136.65.1 to 7.136.65.147.136.65.1514
187.136.65.16/287.136.65.17 to 7.136.65.307.136.65.3114
197.136.65.32/287.136.65.33 to 7.136.65.467.136.65.4714
207.136.65.48/287.136.65.49 to 7.136.65.627.136.65.6314
217.136.65.64/287.136.65.65 to 7.136.65.787.136.65.7914
227.136.65.80/287.136.65.81 to 7.136.65.947.136.65.9514
237.136.65.96/287.136.65.97 to 7.136.65.1107.136.65.11114
247.136.65.112/287.136.65.113 to 7.136.65.1267.136.65.12714
257.136.65.128/287.136.65.129 to 7.136.65.1427.136.65.14314
267.136.65.144/287.136.65.145 to 7.136.65.1587.136.65.15914
277.136.65.160/287.136.65.161 to 7.136.65.1747.136.65.17514
287.136.65.176/287.136.65.177 to 7.136.65.1907.136.65.19114
297.136.65.192/287.136.65.193 to 7.136.65.2067.136.65.20714
307.136.65.208/287.136.65.209 to 7.136.65.2227.136.65.22314
317.136.65.224/287.136.65.225 to 7.136.65.2387.136.65.23914
327.136.65.240/287.136.65.241 to 7.136.65.2547.136.65.25514
337.136.66.0/287.136.66.1 to 7.136.66.147.136.66.1514
347.136.66.16/287.136.66.17 to 7.136.66.307.136.66.3114
357.136.66.32/287.136.66.33 to 7.136.66.467.136.66.4714
367.136.66.48/287.136.66.49 to 7.136.66.627.136.66.6314
377.136.66.64/287.136.66.65 to 7.136.66.787.136.66.7914
387.136.66.80/287.136.66.81 to 7.136.66.947.136.66.9514
397.136.66.96/287.136.66.97 to 7.136.66.1107.136.66.11114
407.136.66.112/287.136.66.113 to 7.136.66.1267.136.66.12714
417.136.66.128/287.136.66.129 to 7.136.66.1427.136.66.14314
427.136.66.144/287.136.66.145 to 7.136.66.1587.136.66.15914
437.136.66.160/287.136.66.161 to 7.136.66.1747.136.66.17514
447.136.66.176/287.136.66.177 to 7.136.66.1907.136.66.19114
457.136.66.192/287.136.66.193 to 7.136.66.2067.136.66.20714
467.136.66.208/287.136.66.209 to 7.136.66.2227.136.66.22314
477.136.66.224/287.136.66.225 to 7.136.66.2387.136.66.23914
487.136.66.240/287.136.66.241 to 7.136.66.2547.136.66.25514
497.136.67.0/287.136.67.1 to 7.136.67.147.136.67.1514
507.136.67.16/287.136.67.17 to 7.136.67.307.136.67.3114
517.136.67.32/287.136.67.33 to 7.136.67.467.136.67.4714
527.136.67.48/287.136.67.49 to 7.136.67.627.136.67.6314
537.136.67.64/287.136.67.65 to 7.136.67.787.136.67.7914
547.136.67.80/287.136.67.81 to 7.136.67.947.136.67.9514
557.136.67.96/287.136.67.97 to 7.136.67.1107.136.67.11114
567.136.67.112/287.136.67.113 to 7.136.67.1267.136.67.12714
577.136.67.128/287.136.67.129 to 7.136.67.1427.136.67.14314
587.136.67.144/287.136.67.145 to 7.136.67.1587.136.67.15914
597.136.67.160/287.136.67.161 to 7.136.67.1747.136.67.17514
607.136.67.176/287.136.67.177 to 7.136.67.1907.136.67.19114
617.136.67.192/287.136.67.193 to 7.136.67.2067.136.67.20714
627.136.67.208/287.136.67.209 to 7.136.67.2227.136.67.22314
637.136.67.224/287.136.67.225 to 7.136.67.2387.136.67.23914
647.136.67.240/287.136.67.241 to 7.136.67.2547.136.67.25514
657.136.68.0/287.136.68.1 to 7.136.68.147.136.68.1514
667.136.68.16/287.136.68.17 to 7.136.68.307.136.68.3114
677.136.68.32/287.136.68.33 to 7.136.68.467.136.68.4714
687.136.68.48/287.136.68.49 to 7.136.68.627.136.68.6314
697.136.68.64/287.136.68.65 to 7.136.68.787.136.68.7914
707.136.68.80/287.136.68.81 to 7.136.68.947.136.68.9514
717.136.68.96/287.136.68.97 to 7.136.68.1107.136.68.11114
727.136.68.112/287.136.68.113 to 7.136.68.1267.136.68.12714
737.136.68.128/287.136.68.129 to 7.136.68.1427.136.68.14314
747.136.68.144/287.136.68.145 to 7.136.68.1587.136.68.15914
757.136.68.160/287.136.68.161 to 7.136.68.1747.136.68.17514
767.136.68.176/287.136.68.177 to 7.136.68.1907.136.68.19114
777.136.68.192/287.136.68.193 to 7.136.68.2067.136.68.20714
787.136.68.208/287.136.68.209 to 7.136.68.2227.136.68.22314
797.136.68.224/287.136.68.225 to 7.136.68.2387.136.68.23914
807.136.68.240/287.136.68.241 to 7.136.68.2547.136.68.25514
817.136.69.0/287.136.69.1 to 7.136.69.147.136.69.1514
827.136.69.16/287.136.69.17 to 7.136.69.307.136.69.3114
837.136.69.32/287.136.69.33 to 7.136.69.467.136.69.4714
847.136.69.48/287.136.69.49 to 7.136.69.627.136.69.6314
857.136.69.64/287.136.69.65 to 7.136.69.787.136.69.7914
867.136.69.80/287.136.69.81 to 7.136.69.947.136.69.9514
877.136.69.96/287.136.69.97 to 7.136.69.1107.136.69.11114
887.136.69.112/287.136.69.113 to 7.136.69.1267.136.69.12714
897.136.69.128/287.136.69.129 to 7.136.69.1427.136.69.14314
907.136.69.144/287.136.69.145 to 7.136.69.1587.136.69.15914
917.136.69.160/287.136.69.161 to 7.136.69.1747.136.69.17514
927.136.69.176/287.136.69.177 to 7.136.69.1907.136.69.19114
937.136.69.192/287.136.69.193 to 7.136.69.2067.136.69.20714
947.136.69.208/287.136.69.209 to 7.136.69.2227.136.69.22314
957.136.69.224/287.136.69.225 to 7.136.69.2387.136.69.23914
967.136.69.240/287.136.69.241 to 7.136.69.2547.136.69.25514
977.136.70.0/287.136.70.1 to 7.136.70.147.136.70.1514
987.136.70.16/287.136.70.17 to 7.136.70.307.136.70.3114
997.136.70.32/287.136.70.33 to 7.136.70.467.136.70.4714
1007.136.70.48/287.136.70.49 to 7.136.70.627.136.70.6314
1017.136.70.64/287.136.70.65 to 7.136.70.787.136.70.7914
1027.136.70.80/287.136.70.81 to 7.136.70.947.136.70.9514
1037.136.70.96/287.136.70.97 to 7.136.70.1107.136.70.11114
1047.136.70.112/287.136.70.113 to 7.136.70.1267.136.70.12714
1057.136.70.128/287.136.70.129 to 7.136.70.1427.136.70.14314
1067.136.70.144/287.136.70.145 to 7.136.70.1587.136.70.15914
1077.136.70.160/287.136.70.161 to 7.136.70.1747.136.70.17514
1087.136.70.176/287.136.70.177 to 7.136.70.1907.136.70.19114
1097.136.70.192/287.136.70.193 to 7.136.70.2067.136.70.20714
1107.136.70.208/287.136.70.209 to 7.136.70.2227.136.70.22314
1117.136.70.224/287.136.70.225 to 7.136.70.2387.136.70.23914
1127.136.70.240/287.136.70.241 to 7.136.70.2547.136.70.25514
1137.136.71.0/287.136.71.1 to 7.136.71.147.136.71.1514
1147.136.71.16/287.136.71.17 to 7.136.71.307.136.71.3114
1157.136.71.32/287.136.71.33 to 7.136.71.467.136.71.4714
1167.136.71.48/287.136.71.49 to 7.136.71.627.136.71.6314
1177.136.71.64/287.136.71.65 to 7.136.71.787.136.71.7914
1187.136.71.80/287.136.71.81 to 7.136.71.947.136.71.9514
1197.136.71.96/287.136.71.97 to 7.136.71.1107.136.71.11114
1207.136.71.112/287.136.71.113 to 7.136.71.1267.136.71.12714
1217.136.71.128/287.136.71.129 to 7.136.71.1427.136.71.14314
1227.136.71.144/287.136.71.145 to 7.136.71.1587.136.71.15914
1237.136.71.160/287.136.71.161 to 7.136.71.1747.136.71.17514
1247.136.71.176/287.136.71.177 to 7.136.71.1907.136.71.19114
1257.136.71.192/287.136.71.193 to 7.136.71.2067.136.71.20714
1267.136.71.208/287.136.71.209 to 7.136.71.2227.136.71.22314
1277.136.71.224/287.136.71.225 to 7.136.71.2387.136.71.23914
1287.136.71.240/287.136.71.241 to 7.136.71.2547.136.71.25514

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses